JGME Pay
Disbursements

Fetch All Disbursements Transaction

Retrieve a paginated list of all disbursement transactions

GET
/billing/v1/disbursements

Authorization

clientId clientSecret
client-id<token>

In: header

client-secret<token>

In: header

Query Parameters

dateFrom?string

Start date for filtering transactions (inclusive)

Formatdate
dateTo?string

End date for filtering transactions (inclusive)

Formatdate
page?integer

Page number for pagination

Range1 <= value
Default1
limit?integer

Number of records per page

Range1 <= value <= 100
Default4

Response Body

application/json

curl -X GET "https://example.com/billing/v1/disbursements"
{  "statusCode": 0,  "total": 0,  "page": 0,  "pages": 0,  "limit": 0,  "data": [    {      "clientId": "string",      "status": "string",      "statusDescription": "string",      "reference": "string",      "providersReference": "string",      "externalReference": "string",      "currency": "string",      "country": "string",      "transferRecipientId": "string",      "transferRecipientLabel": "string",      "charge": 0,      "amount": 0,      "provider": "string",      "providerLabel": "string",      "providerLogo": "http://example.com",      "channel": "string",      "integrationId": "string",      "id": "string"    }  ]}